%
%  This file processes the data from the first trial
%
function data = process_data_1dof;
%
%  enter the data as 
%       frequency (in Hz) input amplitude (in cm/degrees/radians)  output amplitude (in cm/degrees/radians); 
%
%  such as 
%
%  measured = [1.00 1.50 1.740;
%              2.00 1.50 2300;
%              2.50 0.50 1100];
%

  measured = [1.0 0.1 0.502;
              2.0 0.1 0.591;
              3.0 0.1 0.795;
              4.0 0.04 0.673;
              5.0 0.04 1.009;
              6.0 0.04 0.286;
              7.0 0.04 0.161;
              3.5 0.04 0.404;
              4.5 0.02 1.440;
              5.5 0.02 0.234
              4.25 0.02 0.477;
              4.75 0.02 1.215;
              5.25 0.02 0.335];
%
%  Be sure the rows are sorted by frequency
%
   measured = sortrows(measured,1);
%
%  get the magnitude of the transfer function
%
  H = measured(:,3)./measured(:,2);
  f = measured(:,1); 
  data = [f H];
%
  return;